Summary: Object-oriented audio processing library
Name: sndobj
Version: 2.6.6.1
%define packver 2.6.6
Release: 1%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.may.ie/academic/music/musictec/SndObj/main.html
Source0: SndObj-%{version}-linux.tar.gz
Patch0: sndobj-2.6.6.1-gcc46.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: scons
BuildRequires: fftw-devel alsa-lib-devel jack-audio-connection-kit-devel

%description
The Sound Object Library is an object-oriented audio processing
library. It provides objects for synthesis and processing of sound
that can be used to build applications for computer-generated
music. The core code, including soundfile and text input/output, is
fully portable across Windows/UNIX/MacOS platforms.

%prep
%setup -q -n SndObj-%{packver}
%patch0 -p1

%build
scons

%install
%{__rm} -rf %{buildroot}
scons prefix=%{buildroot}%{_prefix} install
## Hack for x86_64: use /usr/lib64 not /usr/lib
%ifarch x86_64
%{__mv} %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
%endif

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_libdir}/*

%changelog
* Tue May 31 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.6.6.1-1
- updated to 2.6.6.1 (2.6.3 does not build correctly under fc15)
- replace gcc patches with one patch with an include for the jack class

* Tue Aug 11 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added patch to build with gcc44 on fc11

* Fri Jun 27 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added patch to build with gcc4.3 on fc9

* Tue Jun  5 2007 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- build on x86_64

* Wed Nov 22 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.6.3-1
- updated to 2.6.3, gcc41 patch no longer needed
- added new build requirements

* Fri Dec 31 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Tue Dec  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.5-1
- Initial build.

